Retrieve
GET/zones/{zone_id}/secrets/{id}
Path Parameters
zone_id: string
A globally unique opaque identifier
minLength1
id: string
Header Parameters
"X-Client-Request-ID": optional string
formatuuid
Returns
id: string
A globally unique opaque identifier
minLength1
created_at: string
formatdate-time
entity_id: string
A globally unique opaque identifier
minLength1
name: string
A name for the entity to be displayed in UI
updated_at: string
formatdate-time
version: number
minimum1
zone_id: string
A globally unique opaque identifier
minLength1
description: optional string
A description of the entity
maxLength128
metadata: optional unknown
A JSON object containing arbitrary metadata. Metadata will not be encrypted.
Retrieve
curl https://api.keycard.ai/zones/$ZONE_ID/secrets/$ID{
"id": "x",
"created_at": "2019-12-27T18:11:19.117Z",
"data": {
"token": "token",
"type": "token"
},
"entity_id": "x",
"name": "name",
"updated_at": "2019-12-27T18:11:19.117Z",
"version": 1,
"zone_id": "x",
"description": "description",
"metadata": {}
}Returns Examples
{
"id": "x",
"created_at": "2019-12-27T18:11:19.117Z",
"data": {
"token": "token",
"type": "token"
},
"entity_id": "x",
"name": "name",
"updated_at": "2019-12-27T18:11:19.117Z",
"version": 1,
"zone_id": "x",
"description": "description",
"metadata": {}
}